/***************************************************************************
                          resource.h  -  description                              
                             -------------------                                         
    begin                : Sat Jun  5 13:37:40 CEST 1999
                                           
    copyright            : (C) 1999 by jec                         
    email                : cuendet@linkvest.ch                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#ifndef RESSOURCE_H
#define RESSOURCE_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

///////////////////////////////////////////////////////////////////
// resource.h  -- contains macros used for commands


///////////////////////////////////////////////////////////////////
// COMMAND VALUES FOR MENUBAR AND TOOLBAR ENTRIES


///////////////////////////////////////////////////////////////////
// File-menu entries
#define ID_FILE_NEW_WINDOW          10010
#define ID_FILE_CHOOSE_DIR          10020
#define ID_FILE_UPDATE              10030
#define ID_FILE_STOP_UPDATE	    10040
#define ID_FILE_CLOSE_WINDOW        10090
#define ID_FILE_QUIT                10100


///////////////////////////////////////////////////////////////////
// View-menu entries
#define ID_SHOW_TOOLBAR             12010
#define ID_SHOW_STATUSBAR           12020
#define ID_SHOW_OPTIONS             12030

#define ID_ACTIONS_EXCLUDE_DIRS		12040
#define ID_ACTIONS_DIFF_RPM			12041


///////////////////////////////////////////////////////////////////
// View-toolbar entries
#define ID_SORT_NAME			13000
#define ID_SORT_SIZE			13001
#define ID_VIEW_REAL_SIZE		13002
#define ID_VIEW_USED_SIZE		13003
#define ID_VIEW_PERCENT			13004

///////////////////////////////////////////////////////////////////
// Popup menu on ListView
#define ID_POPUP_EXPLORE		13100
#define ID_POPUP_OPEN			13101
#define ID_POPUP_DELETE			13102
#define ID_POPUP_COPY			13103
#define ID_POPUP_CUT			13104
#define ID_POPUP_PASTE			13105

///////////////////////////////////////////////////////////////////
// Help-menu entries
#define ID_HELP                     1002

///////////////////////////////////////////////////////////////////
// General application values
#define ID_STATUS_MSG               1001

#define IDS_DEFAULT                 i18n("Ready.")

#define IDS_APP_ABOUT               "LoST\nVersion " VERSION

#endif // RESOURCE_H
